Get
/api/v1/{api_key}/agents_status
Returns the user list with relevant email, extension, and current status.
Path parameters
Example{contact_center_api_key}
Responses
200
Success
example1
Agent status
Array of agent's data and status
[
{
"email": "pt@fg.com",
"ext": "7777",
"status": "available"
},
{
"email": "px@fg.com",
"ext": "5555",
"status": "unavailable"
}
]Array of object
Array of agent's data and status
Example[
{
"email": "pt@fg.com",
"ext": "7777",
"status": "available"
},
{
"email": "px@fg.com",
"ext": "5555",
"status": "unavailable"
}
]
object
Returns the user list with relevant email, extension, and current status.
email
string
The agent's email.
ext
string | null
The agent's extension.
status
Valid values[
"offline",
"available",
"unavailable",
"inbound",
"outbound",
"dialer",
"postcall"
]
403
Invalid api_key
example1
Error1
Invalid API key
{
"error": "Invalid api_key"
}Example{
"error": "Invalid api_key"
}
415
This type of request is not supported by the server
503
Server error